| Method | URI | Description |
|---|---|---|
| GET | /v2/{tenant_id}/servers/{server_id} | Shows information for a specified server including the configuration drive extended attribute. |
Normal response codes: 202
This table shows the URI parameters for the get server information with configuration drive request:
| Name | Type | Description |
|---|---|---|
| String | The ID for the tenant or account in a multi-tenancy cloud. |
| Uuid | The UUID for the server of interest to you. |
This operation does not require a request body.
Example 3.392. Get server information with configuration drive: JSON response
{
"server": {
"accessIPv4": "",
"accessIPv6": "",
"addresses": {
"private": [
{
"addr": "192.168.0.3",
"version": 4
}
]
},
"config_drive": "",
"created": "2013-02-04T13:17:50Z",
"flavor": {
"id": "1",
"links": [
{
"href": "http://openstack.example.com/openstack/flavors/1",
"rel": "bookmark"
}
]
},
"hostId": "8725fb615b191d8249a40f3e90d1efde88d914412e4edb2719176afd",
"id": "dd3b0715-a3fc-43d8-bbd2-2720beb226fb",
"image": {
"id": "70a599e0-31e7-49b7-b260-868f441e862b",
"links": [
{
"href": "http://openstack.example.com/openstack/images/70a599e0-31e7-49b7-b260-868f441e862b",
"rel": "bookmark"
}
]
},
"links": [
{
"href": "http://openstack.example.com/v2/openstack/servers/dd3b0715-a3fc-43d8-bbd2-2720beb226fb",
"rel": "self"
},
{
"href": "http://openstack.example.com/openstack/servers/dd3b0715-a3fc-43d8-bbd2-2720beb226fb",
"rel": "bookmark"
}
],
"metadata": {
"My Server Name": "Apache1"
},
"name": "new-server-test",
"progress": 0,
"status": "ACTIVE",
"tenant_id": "openstack",
"updated": "2013-02-04T13:17:51Z",
"user_id": "fake"
}
}Example 3.393. Get server information with configuration drive: XML response
<?xml version='1.0' encoding='UTF-8'?>
<server xmlns:atom="http://www.w3.org/2005/Atom" xmlns="http://docs.openstack.org/compute/api/v1.1" status="ACTIVE" updated="2013-02-04T13:26:10Z" hostId="7a8c3fc15db5d6227d26d5ef559b77c880bbe99da5ce5f5871fc113e" name="new-server-test" created="2013-02-04T13:26:09Z" userId="fake" tenantId="openstack" accessIPv4="" accessIPv6="" progress="0" id="3b9e0572-3d7b-4e6f-9c21-35ad0f7dbf95" config_drive="">
<image id="70a599e0-31e7-49b7-b260-868f441e862b">
<atom:link href="http://openstack.example.com/openstack/images/70a599e0-31e7-49b7-b260-868f441e862b" rel="bookmark"/>
</image>
<flavor id="1">
<atom:link href="http://openstack.example.com/openstack/flavors/1" rel="bookmark"/>
</flavor>
<metadata>
<meta key="My Server Name">Apache1</meta>
</metadata>
<addresses>
<network id="private">
<ip version="4" addr="192.168.0.3"/>
</network>
</addresses>
<atom:link href="http://openstack.example.com/v2/openstack/servers/3b9e0572-3d7b-4e6f-9c21-35ad0f7dbf95" rel="self"/>
<atom:link href="http://openstack.example.com/openstack/servers/3b9e0572-3d7b-4e6f-9c21-35ad0f7dbf95" rel="bookmark"/>
</server>This operation does not return a response body.

